BuildRequires: perl(DBI.pm) 
%add_findreq_skiplist /usr/sbin/globus-gram-audit

Name:		globus-gram-audit
%global _name %(tr - _ <<< %{name})
Version:	3.2
Release:	alt1_3
Summary:	Globus Toolkit - GRAM Jobmanager Auditing

Group:		Networking/WWW
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.2/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GRAM5
BuildArch:	noarch

Requires:	globus-common >= 14
Requires:	crontabs
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	globus-core >= 8
Source44: import.info

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GRAM Jobmanager Auditing

%prep
%setup -q -n %{_name}-%{version}
sed -i -e 's,\(localstatedir.\)/lib,\1,g' `grep -rl 'localstatedir./lib' .`

%build
# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

%configure --disable-static --without-flavor \
	   --with-docdir=%{_docdir}/%{name}-%{version}

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

GLOBUSPACKAGEDIR=%{buildroot}%{_datadir}/globus/packages

# Rename cron script
mv %{buildroot}%{_sysconfdir}/cron.hourly/globus-gram-audit.cron \
   %{buildroot}%{_sysconfdir}/cron.hourly/globus-gram-audit
sed s/globus-gram-audit.cron/globus-gram-audit/ \
  -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_pgm.filelist

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_docdir}/%{name}-%{version}/README

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_pgm.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/noflavor_data.filelist \
  | sed -e s!^!%{_prefix}! \
	-e 's!%{_prefix}%{_sysconfdir}/cron!%{_sysconfdir}/cron!' \
	-e 's!%{_prefix}%{_sysconfdir}!%config(noreplace) %{_sysconfdir}!' \
  > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist

%files -f package.filelist
%dir %{_datadir}/globus/gram-audit
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_var}/lib/globus/gram-audit
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_3
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_2
- update to new release by fcimport

* Sun Jan 13 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_1
- initial fc import

